com.typesafe.config

## Class ConfigException.ValidationProblem

- java.lang.Object
- - com.typesafe.config.ConfigException.ValidationProblem

Enclosing class:
  ConfigException

    public static class ConfigException.ValidationProblem
    extends java.lang.Object

Information about a problem that occurred in `Config.checkValid(com.typesafe.config.Config, java.lang.String...)`. A `ConfigException.ValidationFailed` exception thrown from `checkValid()` includes a list of problems encountered.

### Constructor Summary

Constructors
Constructor and Description
`ValidationProblem(java.lang.String path, ConfigOrigin origin, java.lang.String problem)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConfigOrigin` `origin()` Returns where the problem occurred (origin may include info on the file, line number, etc.).
`java.lang.String` `path()` Returns the config setting causing the problem.
`java.lang.String` `problem()` Returns a description of the problem.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidationProblem

    public ValidationProblem(java.lang.String path,
                             ConfigOrigin origin,
                             java.lang.String problem)

### Method Detail

#### path

    public java.lang.String path()

Returns the config setting causing the problem.

Returns:
  the path of the problem setting

#### origin

    public ConfigOrigin origin()

Returns where the problem occurred (origin may include info on the file, line number, etc.).

Returns:
  the origin of the problem setting

#### problem

    public java.lang.String problem()

Returns a description of the problem.

Returns:
  description of the problem

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`